spring.application.name=ld-sysinfo-server

# Database Configuration
spring.datasource.url=jdbc:mysql://db.psg.net.au:3307/db_ld-spring-backend
spring.datasource.username=svc_sysinfo
spring.datasource.password=2pT08pEuxqFiN6eD348vBlgoMfyfOjGB

# JPA configuration
spring.jpa.hibernate.ddl-auto=none
spring.jpa.show-sql=false
spring.jpa.properties.hibernate.format_sql=true
spring.jpa.hibernate.naming.physical-strategy=org.hibernate.boot.model.naming.PhysicalNamingStrategyStandardImpl
spring.jpa.properties.hibernate.dialect=org.hibernate.dialect.MySQLDialect
spring.jpa.database-platform=org.hibernate.dialect.MySQLDialect
spring.jpa.properties.hibernate.jdbc.time_zone=Australia/Perth

# Spring Security stuff
spring.autoconfigure.exclude=org.springframework.boot.autoconfigure.security.SecurityAutoConfiguration
logging.level.org.springframework.security=DEBUG
logging.level.com.dashboard=DEBUG

# Turn off SQL logs temporarily
logging.level.org.hibernate.SQL=OFF
logging.level.org.hibernate.type.descriptor.sql.BasicBinder=OFF

# JWT stuff
jwt.secret=JBYLzeID2fj7DJ1f+HIk3KeKwRAjo/jxZoJ2PZWe7YQ=
jwt.expiration=36000000

# AES from Client App
encryption.aes.key=HWJGbwmF2pWdXySDExMNEbJSrXn0YCBF
encryption.aes.iv=VWYRtYCfch0sKs6k

# Server stuff
server.address=0.0.0.0
server.port=8443
server.ssl.enabled=true
server.ssl.key-store=classpath:springboot.p12
server.ssl.key-store-password=Howaboutno123!
server.ssl.key-store-type=PKCS12

# Script Controller (NVD) related
nvd.api.key=42b4f093-e8c4-4110-a7d1-6ab2ba6234aa
nvd.max-range-days=120
scripts.directory=/home/sonder/ld-sysinfo-server/scripts
scripts.logs.directory=/home/sonder/ld-sysinfo-server/scripts

# SMTP/Mail related
spring.mail.host=psg-net-au.mail.protection.outlook.com
app.mail.from=oversight@psg.net.au
app.mail.to=bailey@psg.net.au
spring.mail.port=25
spring.mail.protocol=smtp
spring.mail.properties.mail.smtp.auth=false
spring.mail.properties.mail.smtp.starttls.enable=false
spring.mail.properties.mail.smtp.connectiontimeout=30000
spring.mail.properties.mail.smtp.timeout=60000
spring.mail.properties.mail.smtp.writetimeout=60000




# Legacy/Logger related
app.logger.level=Info
app.hcaptcha.enabled=false
app.hcaptcha.sitekey=
app.hcaptcha.secret=


